# Dataset Library for PHP/Composer

This is a library for loading datasets from bundled packages.

## Example

Require Dataset, and some actual datasets:

    $ composer require noccylabs/dataset juicebox/flavordata

You can now open the desired sets and do useful stuff with the data:

```php
use NoccyLabs\Dataset\DatasetManager;

$dm = new DatasetManager();
$flavorsSet = $dm->getDataset("juicebox/flavordata/flavors");

$iter = $flavorsSet->filter([ 'brand' => 'fa' ]);
foreach ($iter as $row) {
    echo $row->get("flavor", "No flavor name? How?!") . "\n";
}
```
